Subject: Re: POSIX devices
From: Carlo Florendo <[email-masked]>
To: Oliver Vecernik <[email-masked]>
Cc: [email-masked]
Date: Fri, 17 Jun 2005 14:12:37 +0800

Oliver Vecernik wrote:

>Hi all,
>
>I'd like to inspect some MBR's from various devices. I have an external
>Firewire disk (x:), an USB stick (e:) and a flash card (F:, pcmcia).
>
>$ mount
>C:\cygwin\usr\X11R6\lib\X11\fonts on /usr/X11R6/lib/X11/fonts type
>system (binmo
>de)
>C:\cygwin\bin on /usr/bin type user (binmode)
>C:\cygwin\bin on /usr/bin type system (binmode)
>C:\cygwin\lib on /usr/lib type user (binmode)
>C:\cygwin\lib on /usr/lib type system (binmode)
>C:\cygwin on / type user (binmode)
>C:\cygwin on / type system (binmode)
>c: on /c type system (binmode)
>n: on /n type system (binmode)
>x: on /x type system (binmode)
>z: on /z type system (binmode)
>e: on /cygdrive/e type user (binmode,noumount)
>f: on /cygdrive/f type user (binmode,noumount)
>
>But how do I know the order of device names? It all depends when the
>devices are plugged on to the system. Is there a command to find out?
>
>dd if=/dev/sd? of=/tmp/foo bs=512 count=1
>
>  
>

AFAIK, Cygwin does not implement the /dev directory. 

I'm afraid there is no cygwin command to find out the order of devices 
plugged to the system although I'd be glad if someone corrects me and 
says that there is. 

Thank you very much.

Best Regards,

Carlo

-- 
Carlo Florendo
Astra Philippines Inc.
www.astra.ph

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/